--
-- PostgreSQL database dump
--

-- Dumped from database version 9.3.1
-- Dumped by pg_dump version 9.3.1
-- Started on 2014-09-29 13:39:04 CEST

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- TOC entry 7 (class 2615 OID 112069)
-- Name: parametres; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA parametres;


SET search_path = parametres, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 179 (class 1259 OID 112070)
-- Name: associer_parametre_systeme; Type: TABLE; Schema: parametres; Owner: -; Tablespace: 
--

CREATE TABLE associer_parametre_systeme (
    pk_associer_parametres_systeme integer NOT NULL,
    fk_parametre_source integer,
    fk_parametre_cible integer,
    descriptif text,
    notes text,
    date_creation timestamp with time zone,
    date_modification timestamp with time zone
);


--
-- TOC entry 180 (class 1259 OID 112076)
-- Name: associer_parametres_systeme_pk_associer_parametres_systeme_seq; Type: SEQUENCE; Schema: parametres; Owner: -
--

CREATE SEQUENCE associer_parametres_systeme_pk_associer_parametres_systeme_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 2250 (class 0 OID 0)
-- Dependencies: 180
-- Name: associer_parametres_systeme_pk_associer_parametres_systeme_seq; Type: SEQUENCE OWNED BY; Schema: parametres; Owner: -
--

ALTER SEQUENCE associer_parametres_systeme_pk_associer_parametres_systeme_seq OWNED BY associer_parametre_systeme.pk_associer_parametres_systeme;


--
-- TOC entry 181 (class 1259 OID 112078)
-- Name: parametre_systeme; Type: TABLE; Schema: parametres; Owner: -; Tablespace: 
--

CREATE TABLE parametre_systeme (
    pk_parametre_systeme integer NOT NULL,
    valeur character varying(255),
    definition text,
    notes text,
    type_valeur character varying(255),
    champ_concerne character varying(255),
    date_creation timestamp with time zone,
    date_modification timestamp with time zone,
    classe_concernee character varying(255)
);


--
-- TOC entry 182 (class 1259 OID 112084)
-- Name: parametres_systeme_pk_parametre_systeme_seq; Type: SEQUENCE; Schema: parametres; Owner: -
--

CREATE SEQUENCE parametres_systeme_pk_parametre_systeme_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 2251 (class 0 OID 0)
-- Dependencies: 182
-- Name: parametres_systeme_pk_parametre_systeme_seq; Type: SEQUENCE OWNED BY; Schema: parametres; Owner: -
--

ALTER SEQUENCE parametres_systeme_pk_parametre_systeme_seq OWNED BY parametre_systeme.pk_parametre_systeme;


--
-- TOC entry 2127 (class 2604 OID 112086)
-- Name: pk_associer_parametres_systeme; Type: DEFAULT; Schema: parametres; Owner: -
--

ALTER TABLE ONLY associer_parametre_systeme ALTER COLUMN pk_associer_parametres_systeme SET DEFAULT nextval('associer_parametres_systeme_pk_associer_parametres_systeme_seq'::regclass);


--
-- TOC entry 2128 (class 2604 OID 112115)
-- Name: pk_parametre_systeme; Type: DEFAULT; Schema: parametres; Owner: -
--

ALTER TABLE ONLY parametre_systeme ALTER COLUMN pk_parametre_systeme SET DEFAULT nextval('parametres_systeme_pk_parametre_systeme_seq'::regclass);


--
-- TOC entry 2242 (class 0 OID 112070)
-- Dependencies: 179
-- Data for Name: associer_parametre_systeme; Type: TABLE DATA; Schema: parametres; Owner: -
--

INSERT INTO associer_parametre_systeme (pk_associer_parametres_systeme, fk_parametre_source, fk_parametre_cible, descriptif, notes, date_creation, date_modification) VALUES (3, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO associer_parametre_systeme (pk_associer_parametres_systeme, fk_parametre_source, fk_parametre_cible, descriptif, notes, date_creation, date_modification) VALUES (4, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO associer_parametre_systeme (pk_associer_parametres_systeme, fk_parametre_source, fk_parametre_cible, descriptif, notes, date_creation, date_modification) VALUES (5, 1, 3, NULL, NULL, NULL, NULL);
INSERT INTO associer_parametre_systeme (pk_associer_parametres_systeme, fk_parametre_source, fk_parametre_cible, descriptif, notes, date_creation, date_modification) VALUES (6, 1, 4, NULL, NULL, NULL, NULL);
INSERT INTO associer_parametre_systeme (pk_associer_parametres_systeme, fk_parametre_source, fk_parametre_cible, descriptif, notes, date_creation, date_modification) VALUES (2, 3, NULL, 'réutiliser', NULL, NULL, NULL);
INSERT INTO associer_parametre_systeme (pk_associer_parametres_systeme, fk_parametre_source, fk_parametre_cible, descriptif, notes, date_creation, date_modification) VALUES (1, 4, NULL, 'réutiliser', NULL, NULL, NULL);
INSERT INTO associer_parametre_systeme (pk_associer_parametres_systeme, fk_parametre_source, fk_parametre_cible, descriptif, notes, date_creation, date_modification) VALUES (7, 1, 5, NULL, NULL, NULL, NULL);
INSERT INTO associer_parametre_systeme (pk_associer_parametres_systeme, fk_parametre_source, fk_parametre_cible, descriptif, notes, date_creation, date_modification) VALUES (8, 2, 7, NULL, NULL, NULL, NULL);


--
-- TOC entry 2252 (class 0 OID 0)
-- Dependencies: 180
-- Name: associer_parametres_systeme_pk_associer_parametres_systeme_seq; Type: SEQUENCE SET; Schema: parametres; Owner: -
--

SELECT pg_catalog.setval('associer_parametres_systeme_pk_associer_parametres_systeme_seq', 8, true);


--
-- TOC entry 2244 (class 0 OID 112078)
-- Dependencies: 181
-- Data for Name: parametre_systeme; Type: TABLE DATA; Schema: parametres; Owner: -
--

INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (5, 'Nom de fonction', 'Le nom que prend une personne lors de l''exercice d''une fonction', NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (1, 'Acteur', NULL, NULL, 'type_objet', NULL, NULL, NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (2, 'Acteur collectif', NULL, NULL, 'type_objet', NULL, NULL, NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (3, 'Nom civil', NULL, NULL, 'type_nom', NULL, NULL, NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (4, 'Surnom', NULL, NULL, 'type_nom', NULL, NULL, NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (6, 'Objet abstrait', 'Tout concept, etc.', NULL, 'type_objet', NULL, NULL, NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (7, 'Nom', 'Le simple nom d''un objet', NULL, 'type_nom', NULL, NULL, NULL, NULL);


--
-- TOC entry 2253 (class 0 OID 0)
-- Dependencies: 182
-- Name: parametres_systeme_pk_parametre_systeme_seq; Type: SEQUENCE SET; Schema: parametres; Owner: -
--

SELECT pg_catalog.setval('parametres_systeme_pk_parametre_systeme_seq', 7, true);


--
-- TOC entry 2130 (class 2606 OID 112089)
-- Name: associer_parametres_systeme_pkey; Type: CONSTRAINT; Schema: parametres; Owner: -; Tablespace: 
--

ALTER TABLE ONLY associer_parametre_systeme
    ADD CONSTRAINT associer_parametres_systeme_pkey PRIMARY KEY (pk_associer_parametres_systeme);


--
-- TOC entry 2132 (class 2606 OID 112091)
-- Name: parametres_systeme_pkey; Type: CONSTRAINT; Schema: parametres; Owner: -; Tablespace: 
--

ALTER TABLE ONLY parametre_systeme
    ADD CONSTRAINT parametres_systeme_pkey PRIMARY KEY (pk_parametre_systeme);


-- Completed on 2014-09-29 13:39:04 CEST

--
-- PostgreSQL database dump complete
--

